SDL_rpivideo.h File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_sysvideo.h"`
`#include <bcm_host.h>`
`#include "GLES/gl.h"`
`#include "EGL/egl.h"`
`#include "EGL/eglext.h"`
Include dependency graph for SDL_rpivideo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_VideoData
struct | SDL_DisplayData
struct | SDL_WindowData

## Macros

#define | SDL_RPI_VIDEOLAYER 10000 /* High enough so to occlude everything */
#define | SDL_RPI_MOUSELAYER SDL_RPI_VIDEOLAYER + 1

## Functions

int | RPI_VideoInit (_THIS)
void | RPI_VideoQuit (_THIS)
void | RPI_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
int | RPI_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
int | RPI_CreateWindow (_THIS, SDL_Window *window)
int | RPI_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | RPI_SetWindowTitle (_THIS, SDL_Window *window)
void | RPI_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | RPI_SetWindowPosition (_THIS, SDL_Window *window)
void | RPI_SetWindowSize (_THIS, SDL_Window *window)
void | RPI_ShowWindow (_THIS, SDL_Window *window)
void | RPI_HideWindow (_THIS, SDL_Window *window)
void | RPI_RaiseWindow (_THIS, SDL_Window *window)
void | RPI_MaximizeWindow (_THIS, SDL_Window *window)
void | RPI_MinimizeWindow (_THIS, SDL_Window *window)
void | RPI_RestoreWindow (_THIS, SDL_Window *window)
void | RPI_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | RPI_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | RPI_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
int | RPI_GLES_LoadLibrary (_THIS, const char *path)
void * | RPI_GLES_GetProcAddress (_THIS, const char *proc)
void | RPI_GLES_UnloadLibrary (_THIS)
SDL_GLContext | RPI_GLES_CreateContext (_THIS, SDL_Window *window)
int | RPI_GLES_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
int | RPI_GLES_SetSwapInterval (_THIS, int interval)
int | RPI_GLES_GetSwapInterval (_THIS)
int | RPI_GLES_SwapWindow (_THIS, SDL_Window *window)
void | RPI_GLES_DeleteContext (_THIS, SDL_GLContext context)

## Macro Definition Documentation

## SDL_RPI_MOUSELAYER

#define SDL_RPI_MOUSELAYER SDL_RPI_VIDEOLAYER + 1

Definition at line 60 of file SDL_rpivideo.h.

## SDL_RPI_VIDEOLAYER

#define SDL_RPI_VIDEOLAYER 10000 /* High enough so to occlude everything */

Definition at line 59 of file SDL_rpivideo.h.

## Function Documentation

## RPI_CreateWindow()

int RPI_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_CreateWindowFrom()

int RPI_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

## RPI_DestroyWindow()

void RPI_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_GetDisplayModes()

void RPI_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

## RPI_GetWindowWMInfo()

SDL_bool RPI_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

## RPI_GLES_CreateContext()

SDL_GLContext RPI_GLES_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_GLES_DeleteContext()

void RPI_GLES_DeleteContext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

## RPI_GLES_GetProcAddress()

void* RPI_GLES_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

## RPI_GLES_GetSwapInterval()

int RPI_GLES_GetSwapInterval | ( | _THIS |  | ) |

## RPI_GLES_LoadLibrary()

int RPI_GLES_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

## RPI_GLES_MakeCurrent()

int RPI_GLES_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

## RPI_GLES_SetSwapInterval()

int RPI_GLES_SetSwapInterval | ( | _THIS | ,
|  | int | interval
| ) |  |

## RPI_GLES_SwapWindow()

int RPI_GLES_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_GLES_UnloadLibrary()

void RPI_GLES_UnloadLibrary | ( | _THIS |  | ) |

## RPI_HideWindow()

void RPI_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_MaximizeWindow()

void RPI_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_MinimizeWindow()

void RPI_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_RaiseWindow()

void RPI_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_RestoreWindow()

void RPI_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_SetDisplayMode()

int RPI_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |

## RPI_SetWindowGrab()

void RPI_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

## RPI_SetWindowIcon()

void RPI_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

## RPI_SetWindowPosition()

void RPI_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_SetWindowSize()

void RPI_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_SetWindowTitle()

void RPI_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_ShowWindow()

void RPI_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## RPI_VideoInit()

int RPI_VideoInit | ( | _THIS |  | ) |

## RPI_VideoQuit()

void RPI_VideoQuit | ( | _THIS |  | ) |